<?xml version="1.0" encoding="UTF-8"?>
<phpunit backupGlobals="false"
         backupStaticAttributes="false"
         bootstrap="tests/bootstrap.php"
         verbose="true"
         timeoutForSmallTests="10">
  <testsuites>
    <testsuite name="RESTng_Framework">
      <directory suffix="Test.php">tests/Unit</directory>
    </testsuite>
    <testsuite name="RESTng_Features">
      <directory suffix="Test.php">tests/Feature</directory>
    </testsuite>
  </testsuites>

  <filter>
    <whitelist addUncoveredFilesFromWhitelist="true">
      <directory suffix=".php">src</directory>
    </whitelist>
  </filter>

  <php>
    <env name="TESTING" value="true"/>
    <env name="SERVICE_FILE" value="tests/services.yaml"/>
    <env name="RESOURCE_PROVIDER_CONFIG" value="tests/providers.yaml"/>
  </php>
</phpunit>
